levelshots/fueldump2_cc_automap
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/fueldump2_cc.tga
		depthFunc equal
		rgbGen identity
	}
}

levelshots/fueldump2_cc_trans
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/fueldump2_cc.tga
		blendfunc blend
		rgbGen identity
		alphaGen vertex
	}
}
//======================================================================
// Fueldump2.shader
//
//==================================================================
//======================================================================
// Base for metashaders
//======================================================================
textures/fueldump2/terrain_base
{
	q3map_lightmapMergable
	q3map_lightmapaxis z
	q3map_lightmapsize 512 512
	q3map_normalimage textures/sd_bumpmaps/normalmap_terrain.tga
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_tcMod rotate 37
	q3map_tcMod scale 2 2
	surfaceparm landmine
	surfaceparm grasssteps
}

//======================================================================
// Metashader for both sides of the map
// _0: Slighty dirty snow
// _1: Mud/dirt snow
// _2: Clean white snow
// _3: Snow crispy rock
//======================================================================
textures/fueldump2/terrain1_0
{
        qer_editorimage textures/fueldump2/master_grass_dirt3.tga
	q3map_baseshader textures/fueldump2/terrain_base
	{
		map textures/fueldump2/master_grass_dirt3.tga
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/fueldump2/terrain1_1
{
        qer_editorimage textures/fueldump2/rock_graynoise.tga
	q3map_baseshader textures/fueldump2/terrain_base
	{
		map textures/fueldump2/rock_graynoise.tga
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/fueldump2/terrain1_2
{
        qer_editorimage textures/fueldump2/grass_path1.tga
	q3map_baseshader textures/fueldump2/terrain_base
	{
		map textures/fueldump2/grass_path1.tga
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/fueldump2/terrain1_3
{
        qer_editorimage textures/fueldump2/rock_ugly_brown.tga
	q3map_baseshader textures/fueldump2/terrain_base
	{
		map textures/fueldump2/rock_ugly_brown.tga
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/fueldump2/terrain1_0to1
{
        qer_editorimage textures/fueldump2/master_grass_dirt3.tga
	q3map_baseshader textures/fueldump2/terrain_base
	{
		map textures/fueldump2/master_grass_dirt3.tga
		rgbgen identity
	}
	{
		map textures/fueldump2/rock_graynoise.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/fueldump2/terrain1_0to2
{
        qer_editorimage textures/fueldump2/master_grass_dirt3.tga
	q3map_baseshader textures/fueldump2/terrain_base
	{
		map textures/fueldump2/master_grass_dirt3.tga
		rgbgen identity
	}
	{
		map textures/fueldump2/grass_path1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/fueldump2/terrain1_0to3
{
        qer_editorimage textures/fueldump2/master_grass_dirt3.tga
	q3map_baseshader textures/fueldump2/terrain_base
	{
		map textures/fueldump2/master_grass_dirt3.tga
		rgbgen identity
	}
	{
		map textures/fueldump2/rock_ugly_brown.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/fueldump2/terrain1_1to2
{
        qer_editorimage textures/fueldump2/rock_graynoise.tga
	q3map_baseshader textures/fueldump2/terrain_base
	{
		map textures/fueldump2/rock_graynoise.tga
		rgbgen identity
	}
	{
		map textures/fueldump2/grass_path1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/fueldump2/terrain1_1to3
{
        qer_editorimage textures/fueldump2/rock_graynoise.tga
	q3map_baseshader textures/fueldump2/terrain_base
	{
		map textures/fueldump2/rock_graynoise.tga
		rgbgen identity
	}
	{
		map textures/fueldump2/rock_ugly_brown.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/fueldump2/terrain1_2to3
{
        qer_editorimage textures/fueldump2/grass_path1.tga
	q3map_baseshader textures/fueldump2/terrain_base
	{
		map textures/fueldump2/grass_path1.tga
		rgbgen identity
	}
	{
		map textures/fueldump2/rock_ugly_brown.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}
/////////////////////////////////////////////////////////////////////
// ENDLESS SKY - BY AVOC @ eft-clan.com
// If you wish to use this sky, please leave this part in the shader
// or give proper credit in the readme
/////////////////////////////////////////////////////////////////////

textures/fueldump2/sky/endless_sky
{
	qer_editorimage textures/fueldump2/sky/skybox_editor.jpg
	
	skyParms textures/fueldump2/sky/endless 2048 -

	q3map_sunExt 1.00 .90 .80 200 270 45	// R G B Intensity Angle Pitch


	q3map_skylight 150 4                    //amount iterations
	q3map_noFog

	surfaceparm sky                         //flags compiler that this is sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	nopicmip
	nomipmaps

}
textures/fueldump2/river
{
	qer_editorimage textures/fueldump2/wasser.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	cull disable
	deformVertexes wave 512 sin 0 3 0 0.2 
	qer_trans 0.5
	q3map_globaltexture
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/fueldump2/water.tga
		blendfunc gl_dst_color gl_one_minus_src_color
		rgbGen wave triangle 0 2 0 0.2 
		tcMod scale 1 1
		//tcMod scroll 0.0004 -0.0001
		tcMod stretch sin 1 0.04 0 0.005 
	}
	{
		map textures/fueldump2/wasser.tga
		blendfunc add
		//tcMod scroll 0.00035 -0.00012
		tcMod stretch sin 1 0.05 0 0.005 
	}
	{
		map textures/fueldump2/wasser.tga
		blendfunc filter
		//tcMod scroll -0.00035 0.00025
		tcMod transform 1.5 0 1.5 1 1 2
		tcMod stretch sin 1 0.06 0 0.005 
	}
}
